Get latest analytics for a list of symbols
curl --request GET \
--url https://api.itoflow.ai/symbols/analytics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/symbols/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/symbols/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"as_of": "<string>",
"computed_at": "<string>",
"mode": "latest",
"schema_version": 1,
"snapshot": {
"as_of": "<string>",
"benchmark": "<string>",
"computed_for_symbols": [
"<string>"
],
"data_receipt": {},
"schema_version": 123,
"symbols": {},
"watchlist": {}
},
"cache": {
"hit": true,
"ttl_seconds": 123
}
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Market data
Get latest analytics for a list of symbols
Returns analytics for any 1 to 12 symbols: per-symbol returns, risk, signals and fundamentals, plus analytics for the symbols as one list, such as market regime, breadth and sector mix. Nothing is saved. The server caches results for up to 10 minutes, or 1 minute when some symbols or data sources failed.
Operation ID: get__symbols_analytics.
GET
https://api.itoflow.ai
/
symbols
/
analytics
Get latest analytics for a list of symbols
curl --request GET \
--url https://api.itoflow.ai/symbols/analytics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/symbols/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/symbols/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"as_of": "<string>",
"computed_at": "<string>",
"mode": "latest",
"schema_version": 1,
"snapshot": {
"as_of": "<string>",
"benchmark": "<string>",
"computed_for_symbols": [
"<string>"
],
"data_receipt": {},
"schema_version": 123,
"symbols": {},
"watchlist": {}
},
"cache": {
"hit": true,
"ttl_seconds": 123
}
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Query Parameters
Response
Latest symbol analytics